> For the complete documentation index, see [llms.txt](https://docs.puppetry.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.puppetry.app/master/test-step/page-assertions.md).

# Page Assertions

## page.assertTitle

Asserts that the page title satisfies the given constraint

![](/files/-LhVJTdAq6LPSUt_xVMq)

## page.assertUrl

Asserts that the page URL satisfies the given constraint

![](/files/-LhVJWQ6YuX180ncqbmt)

## page.assertHTML

Asserts that the page content (HTML) satisfies the given constraint

![](/files/-LhVJZYd3kD2a2LJBt_1)

## page.assertNodeCount

Asserts that number of elements matching a specified selector satisfies the given constraint

![](/files/-LhVJamoN-jA53_rzANx)

## page.assertScroll

Asserts that [window scroll](https://developer.mozilla.org/en-US/docs/Web/API/Window/scroll) offset satisfies the given constraint

![](/files/-LhVJdPKFj1xWPhZuJZK)

## page.assertVar

Asserts that variable associated with a given name satisfies the given constraint

![](/files/-LhVJgFndGiBquWRuDTf)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.puppetry.app/master/test-step/page-assertions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
